Bug 1269449 - Summary for kubernetes-devel package should be more informative
Summary for kubernetes-devel package should be more informative
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kubernetes (Show other bugs)
24
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Jan Chaloupka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 07:46 EDT by Praveen Kumar
Modified: 2016-07-13 20:24 EDT (History)
8 users (show)

See Also:
Fixed In Version: kubernetes-1.2.0-0.24.git4a3f9c5.fc24 kubernetes-1.2.0-0.24.git4a3f9c5.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-10 01:57:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Praveen Kumar 2015-10-07 07:46:01 EDT
Description of problem:
Currently if you check kubernetes-devel package summary section which directly inherit from master package and not much informative till user check description section.

Version-Release number of selected component (if applicable):
N/A

How reproducible:
N/A


Actual results:
Summary     : Container cluster management

Expected results: (something like below, wording can be changed)
Summary     : Libraries to build packages which use GoogleCloudPlatform/kubernetes

Additional info:
N/A
Comment 1 Jan Chaloupka 2015-10-07 07:54:34 EDT
Hi Praveen,

kubernetes-devel subpackage is not meant for installing. It is only for building other packages. Currently, it is impossible to built from kubernetes source codes as there is no list of build-time/run-time dependencies.

The current state of golang packaging is still evolving a there is a lot of issues still unresolved [1].

There is no plan to update the devel subpackage soon. However, the summary can be updated. What information would like you to have in the summary?

[1] https://fedorahosted.org/fpc/ticket/382
Comment 2 Praveen Kumar 2015-10-07 08:22:26 EDT
(In reply to Jan Chaloupka from comment #1)
> Hi Praveen,
> 
> kubernetes-devel subpackage is not meant for installing. It is only for
> building other packages. Currently, it is impossible to built from
> kubernetes source codes as there is no list of build-time/run-time
> dependencies.
> 
> The current state of golang packaging is still evolving a there is a lot of
> issues still unresolved [1].

Thanks for providing relevant link.

> 
> There is no plan to update the devel subpackage soon. However, the summary
> can be updated. What information would like you to have in the summary?

I think it would be good (make sense) to have summary like below (same I mentioned during bug creation)

Summary     : Libraries to build packages which use GoogleCloudPlatform/kubernetes

> 
> [1] https://fedorahosted.org/fpc/ticket/382
Comment 3 Jan Chaloupka 2015-10-21 08:44:39 EDT
Once I will be able to build kubernetes from dependencies or update the spec file to provide devel subpackage with bundled dependencies, I will update the summary. At the current state, the devel subpackage is still unusable.
Comment 4 Jan Kurik 2016-02-24 10:42:25 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 5 Fedora Update System 2016-06-29 06:45:15 EDT
kubernetes-1.2.0-0.24.git4a3f9c5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f612484f9e
Comment 6 Fedora Update System 2016-06-29 06:45:48 EDT
kubernetes-1.2.0-0.24.git4a3f9c5.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-223c8e5da7
Comment 7 Fedora Update System 2016-06-30 18:27:05 EDT
kubernetes-1.2.0-0.24.git4a3f9c5.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-223c8e5da7
Comment 8 Fedora Update System 2016-06-30 18:54:38 EDT
kubernetes-1.2.0-0.24.git4a3f9c5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f612484f9e
Comment 9 Fedora Update System 2016-07-10 01:57:12 EDT
kubernetes-1.2.0-0.24.git4a3f9c5.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2016-07-13 20:24:44 EDT
kubernetes-1.2.0-0.24.git4a3f9c5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.